com.tibbo.aggregate.common.action.command

## Class ShowError

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.ShowError

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class ShowError
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_EXCEPTION`
    `static java.lang.String` | `CF_LEVEL`
    `static java.lang.String` | `CF_MESSAGE`
    `static TableFormat` | `CFT_SHOW_ERROR`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowError()`
    `ShowError(java.lang.String title, DataTable parameters)`
    `ShowError(java.lang.String title, java.lang.String message, int level, java.lang.Throwable exception)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `java.lang.Throwable` | `getException()`
    `int` | `getLevel()`
    `java.lang.String` | `getMessage()`
    `void` | `setException(java.lang.Throwable exception)`
    `void` | `setLevel(int level)`
    `void` | `setMessage(java.lang.String message)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_LEVEL

          public static final java.lang.String CF_LEVEL

      See Also:
        Constant Field Values

    - #### CF_MESSAGE

          public static final java.lang.String CF_MESSAGE

      See Also:
        Constant Field Values

    - #### CF_EXCEPTION

          public static final java.lang.String CF_EXCEPTION

      See Also:
        Constant Field Values

    - #### CFT_SHOW_ERROR

          public static final TableFormat CFT_SHOW_ERROR

  - ### Constructor Detail

    - #### ShowError

          public ShowError()

    - #### ShowError

          public ShowError(java.lang.String title,
                           java.lang.String message,
                           int level,
                           java.lang.Throwable exception)

    - #### ShowError

          public ShowError(java.lang.String title,
                           DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getLevel

          public int getLevel()

    - #### setLevel

          public void setLevel(int level)

    - #### getMessage

          public java.lang.String getMessage()

    - #### setMessage

          public void setMessage(java.lang.String message)

    - #### getException

          public java.lang.Throwable getException()

    - #### setException

          public void setException(java.lang.Throwable exception)